Package oracle.sql

## Class ConverterArchive

- java.lang.Object
- - oracle.sql.ConverterArchive

All Implemented Interfaces:
  `oracle.jdbc.diagnostics.Diagnosable`, `oracle.jdbc.diagnostics.PropertyChangeListener`

    public class ConverterArchive
    extends java.lang.Object
    implements oracle.jdbc.diagnostics.Diagnosable

This class allows a program to serialize an object and put it into a regular file or archive it into a zip file. It also allows a program to extract the object from the file for usage. It is used by the GSS package to create dynamically loadable data files. It is made public so programs from other packages can utilize this to created dynamically loable data files.

### Constructor Summary

Constructors
`ConverterArchive()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeArchiveforInsert()`
`void` `closeArchiveforRead()`
`oracle.jdbc.diagnostics.Diagnosable` `getDiagnosable()`
`void` `insertObj​(java.lang.Object obj, java.lang.String entryName)` entryName is the name of the obj inside the zip file, include directory
`void` `insertObjtoFile​(java.lang.String directory, java.lang.String filename, java.lang.Object obj)`
`void` `insertSingleObj​(java.lang.String zipName, java.lang.Object obj, java.lang.String entryName)` entryName is the name of the obj inside the zip file, include directory zipName is the name of the zip file.
`void` `openArchiveforInsert​(java.lang.String zipName)`
`void` `openArchiveforRead()`
`java.lang.Object` `readObj​(java.lang.String entryName)`
`java.lang.Object` `readObj​(java.lang.String zipName, java.lang.String entryName)` entryName is the name of the obj inside the zip file, include directory zipName is the name of the zip file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.diagnostics.Diagnosable

`begin, beginCurrentSql, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debugp, end, endCurrentSql, format, isDebugEnabled, isDiagnoseFirstFailureEnabled, isLoggable, isSensitiveEnabled, onClose, propertyChange, resumeLogging, secure, suspendLogging, trace, tracep`

### Constructor Detail

#### ConverterArchive

    public ConverterArchive()

### Method Detail

#### openArchiveforInsert

    public void openArchiveforInsert​(java.lang.String zipName)

Parameters:
  `zipName` - is the name of the zip file. May include directory

#### closeArchiveforInsert

    public void closeArchiveforInsert()

#### insertObj

    public void insertObj​(java.lang.Object obj,
                          java.lang.String entryName)

entryName is the name of the obj inside the zip file, include directory

#### insertSingleObj

    public void insertSingleObj​(java.lang.String zipName,
                                java.lang.Object obj,
                                java.lang.String entryName)
                         throws java.io.IOException

entryName is the name of the obj inside the zip file, include directory zipName is the name of the zip file. May include directory

Throws:
  `java.io.IOException`

#### insertObjtoFile

    public void insertObjtoFile​(java.lang.String directory,
                                java.lang.String filename,
                                java.lang.Object obj)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### openArchiveforRead

    public void openArchiveforRead()

#### closeArchiveforRead

    public void closeArchiveforRead()

#### readObj

    public java.lang.Object readObj​(java.lang.String entryName)

#### readObj

    public java.lang.Object readObj​(java.lang.String zipName,
                                    java.lang.String entryName)

entryName is the name of the obj inside the zip file, include directory zipName is the name of the zip file. May include directory

#### getDiagnosable

    public oracle.jdbc.diagnostics.Diagnosable getDiagnosable()

Specified by:
  `getDiagnosable` in interface `oracle.jdbc.diagnostics.Diagnosable`